#pragma once

#include<string>

class Yolo
{
private:
    cv::Mat image;
    cv::Mat boxes;
public:
    Yolo(std::string modelPath);    // initialize detector here, may need more args
    // void gpuInit(/* args */);    // initialize the GPU, may called by the constructor
    void detect(cv::Mat image);  // detect objects in the image, return the 2d mat
                                    // which every row represents for an object
    cv::Mat getBoxes(); // return infomation about the detected objects
    // may called by the detect function
    // void preProcess(/* args */);
    // void postProcess(/* args */);
};


